#!/bin/bash
## Taha Ahmed, Sep 16, 2010

## For making PDF from LaTeX file that uses PSTricks,
## also fixing correct page size using the preview package.

####################################################
# Required argument:
#  Filename (WITHOUT FILE EXTENSION)
####################################################

##############
# Runs
#  latex
#  dvips
#  ps2pdf
##############


clear
echo "Runs latex, dvips, ps2eps, epstopdf"

latex $1.tex
echo "==============="
echo "latex $1.tex"
echo "==============="
simpledelay.sh 2

dvips $1.dvi
echo "==============="
echo "dvips $1.dvi"
echo "==============="
simpledelay.sh 2

ps2pdf $1.ps
echo "==============="
echo "ps2pdf $1.ps"
echo "==============="

exit 1
